Results 1 to 8 of 8

Thread: No Match for argument: libXpm-dev

  1. #1
    Registered Member
    Join Date
    Mar 2004
    Posts
    193

    Default No Match for argument: libXpm-dev

    I need to install libXpm but I get an error. Does someone know how to fix this?

    Thank a lot

    yum install libXpm-dev
    Setting up Install Process
    Setting up repositories
    update 100% |=========================| 951 B 00:00
    base 100% |=========================| 1.1 kB 00:00
    addons 100% |=========================| 951 B 00:00
    extras 100% |=========================| 1.1 kB 00:00
    Reading repository metadata in from local files
    Excluding Packages in global exclude list
    Finished
    Parsing package install arguments
    No Match for argument: libXpm-dev
    Nothing to do

  2. #2
    Registered Member This forum account has been confirmed by cPanel staff to represent a vendor. chirpy's Avatar
    Join Date
    Jun 2002
    Location
    Go on, have a guess
    Posts
    13,499

    Default

    There's no such rpm. What exactly do you want to install? If it's the libXpm libraries, then it depends on your OS:

    RHE3/CentOS3 rpm is XFree86-devel
    RHE4/CentOS4 rpm is xorg-x11-devel
    Jonathan Michaelson

    cPanel Server Configuration, Security and Antivirus/AntiSpam Services
    http://www.configserver.com

  3. #3
    Registered Member
    Join Date
    Mar 2004
    Posts
    193

    Default

    That's correct. I want to install libXpm. I am using CentOS 4 (64 bit)

  4. #4
    Registered Member
    Join Date
    Mar 2004
    Posts
    193

    Default

    I am trying to compile apache but I still get this error:
    configure: error: libXpm.(a|so) not found.

    This is what the yum install said:
    yum install xorg-x11-devel
    Setting up Install Process
    Setting up repositories
    update 100% |=========================| 951 B 00:00
    base 100% |=========================| 1.1 kB 00:00
    addons 100% |=========================| 951 B 00:00
    extras 100% |=========================| 1.1 kB 00:00
    Reading repository metadata in from local files
    Excluding Packages in global exclude list
    Finished
    Parsing package install arguments
    Resolving Dependencies
    --> Populating transaction set with selected packages. Please wait.
    ---> Package xorg-x11-devel.i386 0:6.8.2-1.EL.13.20 set to be updated
    --> Running transaction check
    --> Processing Dependency: libSM.so.6 for package: xorg-x11-devel
    --> Processing Dependency: libXt.so.6 for package: xorg-x11-devel
    --> Processing Dependency: libXpm.so.4 for package: xorg-x11-devel
    --> Processing Dependency: libICE.so.6 for package: xorg-x11-devel
    --> Processing Dependency: libX11.so.6 for package: xorg-x11-devel
    --> Processing Dependency: libXext.so.6 for package: xorg-x11-devel
    --> Restarting Dependency Resolution with new changes.
    --> Populating transaction set with selected packages. Please wait.
    ---> Package xorg-x11-libs.i386 0:6.8.2-1.EL.13.20 set to be updated
    --> Running transaction check
    --> Processing Dependency: libexpat.so.0 for package: xorg-x11-libs
    --> Processing Dependency: libGL.so.1 for package: xorg-x11-libs
    --> Processing Dependency: libfontconfig.so.1 for package: xorg-x11-libs
    --> Restarting Dependency Resolution with new changes.
    --> Populating transaction set with selected packages. Please wait.
    ---> Package expat.i386 0:1.95.7-4 set to be updated
    ---> Package xorg-x11-Mesa-libGL.i386 0:6.8.2-1.EL.13.20 set to be updated
    ---> Package fontconfig.i386 0:2.2.3-7 set to be updated
    --> Running transaction check

    Dependencies Resolved

    =============================================================================
    Package Arch Version Repository Size
    =============================================================================
    Installing:
    xorg-x11-devel i386 6.8.2-1.EL.13.20 base 5.0 M
    Installing for dependencies:
    expat i386 1.95.7-4 base 69 k
    fontconfig i386 2.2.3-7 base 116 k
    xorg-x11-Mesa-libGL i386 6.8.2-1.EL.13.20 base 373 k
    xorg-x11-libs i386 6.8.2-1.EL.13.20 base 2.6 M

    Transaction Summary
    =============================================================================
    Install 5 Package(s)
    Update 0 Package(s)
    Remove 0 Package(s)
    Total download size: 8.2 M
    Is this ok [y/N]: y
    Downloading Packages:
    Running Transaction Test
    Finished Transaction Test


    Transaction Check Error: file /usr/share/man/man5/fonts-conf.5.gz from install of fontconfig-2.2.3-7 conflicts with file from package fontconfig-2.2.3-7

  5. #5
    Registered Member This forum account has been confirmed by cPanel staff to represent a vendor. chirpy's Avatar
    Join Date
    Jun 2002
    Location
    Go on, have a guess
    Posts
    13,499

    Default

    Do this:

    rpm -e --justdb fontconfig

    Then run your yum line again.
    Jonathan Michaelson

    cPanel Server Configuration, Security and Antivirus/AntiSpam Services
    http://www.configserver.com

  6. #6
    Registered Member
    Join Date
    Mar 2004
    Posts
    193

    Default

    Quote Originally Posted by chirpy
    Do this:

    rpm -e --justdb fontconfig

    Then run your yum line again.
    After running the rpm line I get this:

    rpm -e --justdb fontconfig
    error: Failed dependencies:
    libfontconfig.so.1()(64bit) is needed by (installed) xorg-x11-libs-6.8.2-1.EL.13.20.x86_64
    fontconfig = 2.2.3 is needed by (installed) fontconfig-devel-2.2.3-7.x86_64

  7. #7
    Registered Member This forum account has been confirmed by cPanel staff to represent a vendor. chirpy's Avatar
    Join Date
    Jun 2002
    Location
    Go on, have a guess
    Posts
    13,499

    Default

    Try this instead:

    rpm -e --justdb --nodeps fontconfig fontconfig-devel
    Jonathan Michaelson

    cPanel Server Configuration, Security and Antivirus/AntiSpam Services
    http://www.configserver.com

  8. #8
    Registered Member
    Join Date
    Dec 2005
    Posts
    51

    Default

    Quote Originally Posted by chirpy
    Do this:

    rpm -e --justdb fontconfig

    Then run your yum line again.
    HOWTO run "yum line" again?

Similar Threads

  1. unable to view libjpeg , libpng, libXpm modules in phpinfo.php
    By prashantp786j in forum General Discussion
    Replies: 4
    Last Post: 07-30-2013, 12:30 PM
  2. libxpm urgent
    By njoyhost in forum General Discussion
    Replies: 0
    Last Post: 07-19-2007, 12:21 AM
  3. Replies: 7
    Last Post: 06-03-2007, 10:07 PM
  4. Install libXpm help
    By PHASE(1) MEDIA in forum General Discussion
    Replies: 5
    Last Post: 12-01-2004, 12:51 AM
bargain